Costs
Create a monthly cost budget in one currency; a company of another org is 404. Honours Idempotency-Key. (scope: costs:write)
POST
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
application/json- body
name*stringLength
1 <= length <= 120company_id?|Format
uuidscope?stringDefault
"org"Value in
"org""company""space""provider""service""tag"scope_value?|Required unless scope is org. Tag scope: key=value.
Length
length <= 200currency*stringISO 4217
Match
^[A-Z]{3}$limit_minor*integerRange
1 <= valuesoft_threshold_pcts?array<>Items
1 <= items <= 6enabled?booleanDefault
trueOK
application/json- response
data*error*nullcurl -X POST "https://example.com/costs/budgets" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "currency": "string", "limit_minor": 1 }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "error": null}